%global debug_package %{nil}
%global toolchain clang

Name:           pamixer
Version:        1.6
Release:        %autorelease
Summary:        PulseAudio command line mixer

License:        GPLv3
URL:            https://github.com/cdemoulins/%{name}
Source0:        https://github.com/cdemoulins/%{name}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz


BuildRequires:  clang
BuildRequires:  meson
BuildRequires:  pkgconfig(cxxopts)
BuildRequires:  pulseaudio-libs-devel

%description
pamixer is like amixer but for PulseAudio. It can control the volume levels of the sinks.

%prep
%autosetup -p1

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files
%doc README.rst
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/pamixer.1.gz

%changelog
* Wed Apr 24 2024 David Salomon <david35mm@disroot.org> - 1.6-1
- Update to 1.6

* Mon Apr 25 2022 David Salomon <david35mm@disroot.org> - 1.5-1
- First pamixer package
